Subject: Re: big/little endian

From: [email-masked] (Tor Arntsen)
Date: Thu, 24 Jun 1993 15:23:30 +0200

Jeremy Fitzhardinge:
> 
> Tor Arntsen bubbles:
> 
> > I would prefer big endian, but I have no strong objections (that means, I will
> > buy the board anyway) if it ends up the other way (the DEC/Intel way vs. 
> > the rest of the world.. :-) :-)
> 
> Given a free hand, I would prefer big endian.  However, I think there
> are a few compelling reasons to go little endian -- all to do with
> compatability with the Intel version.  Choosing bigendian wouldn't
> make it impossible, but it does offer a whole pile extra places for
> things to go wrong.  If we can make code like this work without
> problems, wrong as it is, it would be helpful:
> 
> #ifdef linux	/* linux runs on intel only */
> #define little_endian
> #endif
> 
> There are a number of places where it would be good to keep the same format
> to the bit level on all Linux architectures:
[deleted]
> Also, it would be nice to get the experiences of those doing 68k ports.
> I'm told they exist, but I have no references.  Does anyone have names
> or addresses?
> 
> Gotta rush,
> 	J

I'm 'lurking' on the 680X0 mailing list, they seem to be going forward.
Hamish (H.I.) Macdonald ([email-masked]) is the Amiga coordinator and
central source manager.  He has done most of the kernel porting I think.

Arno Griffioen ([email-masked]) is a general coordinator (coordinating who's
doing what etc.)

They certainly have to face the big/little endian problem up front..

Tor